import request from '@/utils/request'

// 创建企业管理-资产存放位置
export function createPropertyPos(data) {
  return request({
    url: '/company/property-pos/create',
    method: 'post',
    data: data
  })
}

// 更新企业管理-资产存放位置
export function updatePropertyPos(data) {
  return request({
    url: '/company/property-pos/update',
    method: 'put',
    data: data
  })
}

// 删除企业管理-资产存放位置
export function deletePropertyPos(id) {
  return request({
    url: '/company/property-pos/delete?id=' + id,
    method: 'delete'
  })
}

// 获得企业管理-资产存放位置
export function getPropertyPos(id) {
  return request({
    url: '/company/property-pos/get?id=' + id,
    method: 'get'
  })
}

// 获得企业管理-资产存放位置分页
export function getPropertyPosPage(params) {
  return request({
    url: '/company/property-pos/page',
    method: 'get',
    params
  })
}

// 获得企业管理-资产存放位置列表
export function getPropertyPosList() {
  return request({
    url: '/company/property-pos/list',
    method: 'get'
  })
}

// 导出企业管理-资产存放位置 Excel
export function exportPropertyPosExcel(params) {
  return request({
    url: '/company/property-pos/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}

// 获得企业管理-资产存放位置列表 分企业
export function getPositionListByCorpId(id) {
  return request({
    url: '/company/property-pos/listByCorpId?id=' + id,
    method: 'get'
  })
}
